com.oracle.email.to

## Class MessageTO

- java.lang.Object
- - com.oracle.email.to.MessageTO

- All Implemented Interfaces:
    java.lang.Comparable<MessageTO>

      public class MessageTO
      extends java.lang.Object
      implements java.lang.Comparable<MessageTO>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MessageTO messageTO)`
    `byte[]` | `getAttachment()`
    `java.lang.String` | `getBcc()`
    `byte[]` | `getBody()`
    `java.lang.String` | `getCc()`
    `long` | `getCreatedOn()`
    `java.lang.String` | `getDateString()`
    `java.lang.String` | `getFolderName()`
    `java.lang.String` | `getFrom()`
    `java.lang.String` | `getMessageId()`
    `long` | `getModifiedOn()`
    `java.lang.String` | `getSubject()`
    `java.lang.String` | `getTo()`
    `java.lang.String` | `getUserId()`
    `boolean` | `isRead()`
    `void` | `setAttachment(byte[] attachment)`
    `void` | `setBcc(java.lang.String bcc)`
    `void` | `setBody(byte[] body)`
    `void` | `setCc(java.lang.String cc)`
    `void` | `setCreatedOn(long createdOn)`
    `void` | `setFolderName(java.lang.String folderName)`
    `void` | `setFrom(java.lang.String from)`
    `void` | `setMessageId(java.lang.String messageId)`
    `void` | `setModifiedOn(long modifiedOn)`
    `void` | `setRead(boolean read)`
    `void` | `setSubject(java.lang.String subject)`
    `void` | `setTo(java.lang.String to)`
    `void` | `setUserId(java.lang.String userId)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageTO

          public MessageTO()

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

    - #### setUserId

          public void setUserId(java.lang.String userId)

    - #### getFolderName

          public java.lang.String getFolderName()

    - #### setFolderName

          public void setFolderName(java.lang.String folderName)

    - #### isRead

          public boolean isRead()

    - #### setRead

          public void setRead(boolean read)

    - #### getSubject

          public java.lang.String getSubject()

    - #### setSubject

          public void setSubject(java.lang.String subject)

    - #### getTo

          public java.lang.String getTo()

    - #### setTo

          public void setTo(java.lang.String to)

    - #### getCc

          public java.lang.String getCc()

    - #### setCc

          public void setCc(java.lang.String cc)

    - #### getBcc

          public java.lang.String getBcc()

    - #### setBcc

          public void setBcc(java.lang.String bcc)

    - #### getMessageId

          public java.lang.String getMessageId()

    - #### setMessageId

          public void setMessageId(java.lang.String messageId)

    - #### getFrom

          public java.lang.String getFrom()

    - #### setFrom

          public void setFrom(java.lang.String from)

    - #### getBody

          public byte[] getBody()

    - #### setBody

          public void setBody(byte[] body)

    - #### getAttachment

          public byte[] getAttachment()

    - #### setAttachment

          public void setAttachment(byte[] attachment)

    - #### getCreatedOn

          public long getCreatedOn()

    - #### setCreatedOn

          public void setCreatedOn(long createdOn)

    - #### getModifiedOn

          public long getModifiedOn()

    - #### setModifiedOn

          public void setModifiedOn(long modifiedOn)

    - #### getDateString

          public java.lang.String getDateString()

    - #### compareTo

          public int compareTo(MessageTO messageTO)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<MessageTO>`